# created by Neal Brooks for PCLinuxOS
# Rewrite by D.M-Wilhelm (Leiche) 2012-2013
# PCLinuxOS Copyright by Bill Reynolds (Texstar)
# Imported for Uplos by adrianomorselli
%define prefix /usr
%define name lxtemp
%define version 0.3.3
%define release %mkrel 1
%define url http://www.pclinuxos.com/forum/index.php/board,76.0.html
%define arch noarch

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Monitoring
URL:		%{url}
Source:		%{name}.tar.xz
Summary:	lxtemp displays your system temperature
Summary(de):	lxtemp zeigt die Systemstemperatur an
BuildRoot:	%{_tmppath}/%{name}-buildroot	
Requires:	bash, yad
Requires:	lm_sensors
Obsoletes:	%name < %version
BuildArch: 	%{arch}

%description
lxtemp puts an icon in your systray. 
When you hover your mouse over it, a 
message opens and displays your system temperature. 


#german
%description -l de
lxtemp nistet sich in das Systray. Wenn Sie mit Ihre 
Maus über das Icon verweilen, wird ihnen die Systemstemperaturen 
angezeigt.

%prep

%setup -q -n %{name}


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 %buildroot%_bindir
install -m 0755 %{name} %buildroot%_bindir/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %{name}.png %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=lxtemp displays your system temperature
Comment[de]=lxtemp zeigt die Systemstemperatur an
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Info;System;Monitor;
Encoding=UTF-8
EOF

mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}/languages/%{name}-de_DE.po

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%_datadir/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
 
%changelog
* Tue Apr 24 2018 adrianomorselli <adrianomorselli> 0.3.3-1uplos2018
- added more core temp
- bugfix
